#Version Checker - Resets vital stats if not on latest version
execute as @a[tag=!kazzxv.v1.5.2b,tag=kazzxv.started] run function kazzmon.extravanilla:version_update

#Setup for New Players
execute as @a[tag=!kazzxv.started] run function kazzmon.extravanilla:setup

#Setup for Old Players - For Updating and Reinitializing
execute as @a[tag=kazzxv.updating] run function kazzmon.extravanilla:setup
execute as @a[tag=kazzxv.rebooting] run function kazzmon.extravanilla:setup

#Sets the levels for starting players
execute as @a[tag=!kazzxv.started] run xp set @s 0 points
execute as @a[tag=!kazzxv.started] run xp set @s 0 levels

#Tags all New Players for finishing
tag @a[tag=!kazzxv.started] add kazzxv.started

#Tags all Old Players for updating
execute as @a[tag=kazzxv.updating] run tellraw @s [{"text":"[","color":"white"},{"text":"ExtraVanilla","color":"yellow"},{"text":"]","color":"white"},{"text":":","color":"gray"},{"text":" Update Complete.","color":"green"}]
tag @a[tag=kazzxv.updating] remove kazzxv.updating

#Tags all Old Players for rebooting
execute as @a[tag=kazzxv.rebooting] run tellraw @s [{"text":"[","color":"white"},{"text":"ExtraVanilla","color":"yellow"},{"text":"]","color":"white"},{"text":":","color":"gray"},{"text":" Reboot Complete.","color":"green"}]
tag @a[tag=kazzxv.rebooting] remove kazzxv.rebooting

#Tags Players for Latest Version
tag @a[tag=!kazzxv.v1.5.2b] add kazzxv.v1.5.2b

#Loop
schedule function kazzmon.extravanilla:advancements 20t