#Ender Dragon Attacks
execute at @s unless entity @e[type=minecraft:ender_dragon,distance=..60] run kill @s
execute if entity @s[tag=!kazzxv.summoned] run kill @e[type=minecraft:phantom,tag=kazzxv.summoned]
execute if entity @s[tag=!kazzxv.summoned] run kill @e[type=minecraft:vex,tag=kazzxv.summoned,tag=kazzxv.dragon]
execute if entity @s[tag=!kazzxv.summoned] run kill @e[type=minecraft:shulker_bullet,tag=kazzxv.summoned]

#Summons Lightning Bolt Attack
execute if predicate kazzmon.extravanilla:85_percent if entity @s[tag=!kazzxv.summoned] at @a[distance=..192,limit=3] run summon minecraft:lightning_bolt ~ ~ ~

#Explosion Attack
execute if entity @s[tag=!kazzxv.summoned] at @s run effect give @a[distance=..192] instant_damage 1 2 true

#Particles and Sounds
execute if entity @s[tag=!kazzxv.summoned] at @s run particle minecraft:dragon_breath ~ ~ ~ 0 0 0 1 200 force
execute if entity @s[tag=!kazzxv.summoned] at @s run particle minecraft:flash ~ ~ ~ 0 0 0 0 2 force
execute if entity @s[tag=!kazzxv.summoned] at @s run particle minecraft:firework ~ ~ ~ 0 0 0 1 200 force
execute if entity @s[tag=!kazzxv.summoned] at @s run playsound minecraft:entity.ender_dragon.growl ambient @a ~ ~ ~ 5 1

#Tags Ender Dragon Attack
execute if entity @s[tag=!kazzxv.summoned] at @s run tag @s add kazzxv.summoned

#Summon Phantoms Attack
execute if score kazzxv_dragon kazzxv.ed_atk matches 0.. if entity @s[tag=kazzxv.summoned] at @s run summon minecraft:phantom ~ ~ ~ {Tags:["kazzxv.summoned","kazzxv.dragon"],DeathLootTable:"kazzmon.extravanilla:entities/dragon_phantom"}

#Summon Shulker Bullets Attack
execute if score kazzxv_dragon kazzxv.ed_atk matches ..-1 if entity @s[tag=kazzxv.summoned] at @s run summon minecraft:shulker_bullet ~ ~ ~ {Tags:["kazzxv.summoned"],Steps:1}

#Dragon Fireball Particles
execute if entity @s[tag=kazzxv.summoned] at @s run particle minecraft:lava ~ ~ ~ 0 0 0 0.1 1 force
execute if entity @s[tag=kazzxv.summoned] at @s run particle minecraft:small_flame ~ ~ ~ 1 1 1 0.2 1 force

#Player Debuffs
execute if entity @s[tag=kazzxv.summoned] at @s run effect give @a[distance=..25] minecraft:wither 10 0 true
execute if entity @s[tag=kazzxv.summoned] at @s run effect give @a[distance=..25] minecraft:weakness 10 1 true

#Attack Mode Counter
scoreboard players add kazzxv_dragon kazzxv.ed_atk 1

#Attack Mode Switch
execute if score kazzxv_dragon kazzxv.ed_atk matches 80.. run scoreboard players set kazzxv_dragon kazzxv.ed_atk -40