#Increase Cooldown
scoreboard players set @s kazzxv.wp_cd10 1

#Tags Player
tag @s add kazzxv.wp16_raycaster
tag @s add kazzxv.wp16_user

#Skill Cooldown
scoreboard players set @s kazzxv.wp_mode4 1
scoreboard players set @s[gamemode=!creative] kazzxv.skill_cd 15

#Summon Fireworks
execute if predicate kazzmon.extravanilla:35_percent as @e[type=#kazzmon.extravanilla:mobs_enemies,distance=..10,limit=5] at @s anchored eyes run function kazzmon.extravanilla:weapons/nebula_axe/firework_types/pink_small
execute if predicate kazzmon.extravanilla:35_percent as @e[type=#kazzmon.extravanilla:mobs_enemies,distance=..10,limit=5] at @s anchored eyes run function kazzmon.extravanilla:weapons/nebula_axe/firework_types/pink_large
execute if predicate kazzmon.extravanilla:35_percent as @e[type=#kazzmon.extravanilla:mobs_enemies,distance=..10,limit=5] at @s anchored eyes run function kazzmon.extravanilla:weapons/nebula_axe/firework_types/cyan_small
execute if predicate kazzmon.extravanilla:35_percent as @e[type=#kazzmon.extravanilla:mobs_enemies,distance=..10,limit=5] at @s anchored eyes run function kazzmon.extravanilla:weapons/nebula_axe/firework_types/cyan_large

#Sets the Owner of Fireworks to User's UUID
execute as @e[type=firework_rocket,distance=..10,tag=kazzxv.wp16] at @s run data modify entity @s Owner set from entity @p[tag=kazzxv.wp16_raycaster] UUID

#Applies varying Slowness effect
execute if predicate kazzmon.extravanilla:35_percent at @s run effect give @e[type=#kazzmon.extravanilla:mobs_enemies,distance=..8] slowness 4 5 false
execute if predicate kazzmon.extravanilla:35_percent at @s run effect give @e[type=#kazzmon.extravanilla:mobs_enemies,distance=..8] slowness 6 4 false
execute if predicate kazzmon.extravanilla:35_percent at @s run effect give @e[type=#kazzmon.extravanilla:mobs_enemies,distance=..8] slowness 8 3 false
execute if predicate kazzmon.extravanilla:35_percent at @s run effect give @e[type=#kazzmon.extravanilla:mobs_enemies,distance=..8] slowness 10 2 false

#Launches Projectiles
  #Projectile 1
summon minecraft:area_effect_cloud ~ ~1 ~ {Tags:["kazzxv.wp16_atk"],Silent:1b,NoGravity:1b,Invulnerable:1b,Duration:500}
execute as @e[type=minecraft:area_effect_cloud,tag=kazzxv.wp16_atk,tag=!kazzxv.wp16_primed,distance=..4,sort=nearest,limit=1] at @s run tp @s @p[tag=kazzxv.wp16_raycaster]
execute as @e[type=minecraft:area_effect_cloud,tag=kazzxv.wp16_atk,tag=!kazzxv.wp16_primed,distance=..4,sort=nearest,limit=1] at @s run tp @s ~ ~1.5 ~
execute as @e[type=minecraft:area_effect_cloud,tag=kazzxv.wp16_atk,tag=!kazzxv.wp16_primed,distance=..4,sort=nearest,limit=1] at @s run scoreboard players set @s kazzxv.airtick 80
execute if predicate kazzmon.extravanilla:35_percent as @e[type=minecraft:area_effect_cloud,tag=kazzxv.wp16_atk,tag=!kazzxv.wp16_primed,distance=..4,sort=nearest,limit=1] at @s run scoreboard players add @s kazzxv.airtick 20
execute if predicate kazzmon.extravanilla:25_percent as @e[type=minecraft:area_effect_cloud,tag=kazzxv.wp16_atk,tag=!kazzxv.wp16_primed,distance=..4,sort=nearest,limit=1] at @s run scoreboard players add @s kazzxv.airtick 20
execute if predicate kazzmon.extravanilla:15_percent as @e[type=minecraft:area_effect_cloud,tag=kazzxv.wp16_atk,tag=!kazzxv.wp16_primed,distance=..4,sort=nearest,limit=1] at @s run scoreboard players add @s kazzxv.airtick 20
execute as @e[type=minecraft:area_effect_cloud,tag=kazzxv.wp16_atk,tag=!kazzxv.wp16_primed,distance=..4,sort=nearest,limit=1] at @s run tag @s add kazzxv.wp16_primed

#Deals Recoil Damage
effect give @s instant_damage 1 2 true

#Sound
playsound minecraft:entity.warden.sonic_boom master @a ~ ~ ~ 1 1.7
playsound minecraft:entity.evoker.prepare_summon master @a ~ ~ ~ 1 1
playsound minecraft:entity.evoker.prepare_summon master @a ~ ~ ~ 1 2
playsound minecraft:entity.evoker.prepare_summon master @a ~ ~ ~ 1 1.5
playsound minecraft:entity.firework_rocket.launch master @a ~ ~ ~ 1 0.7
playsound minecraft:entity.firework_rocket.launch master @a ~ ~ ~ 1 0.5
playsound minecraft:entity.glow_squid.squirt master @a ~ ~ ~ 1 0.7
playsound minecraft:entity.glow_squid.squirt master @a ~ ~ ~ 1 0.5

#Particle
particle minecraft:totem_of_undying ~ ~ ~ 0 0 0 2 100 force

#Durability Break
execute unless entity @s[gamemode=creative] if predicate kazzmon.extravanilla:15_percent run item modify entity @s weapon.offhand kazzmon.extravanilla:20_uses
execute if entity @s[nbt={Inventory:[{id:"minecraft:diamond_axe",Slot:-106b,tag:{nebula:1b,Damage:1561}}]}] run function kazzmon.extravanilla:weapons/extinguir/break_offhand

#Removes Tags for Player
tag @s remove kazzxv.wp16_raycaster

#Drain XP
execute if entity @s[gamemode=!creative] run scoreboard players add @s kazzxv.xp_drain 36