#Used with Normal Arrow
execute if entity @e[type=minecraft:arrow, distance=..3, nbt=!{inGround:1b}] run function kazzmon.extravanilla:weapons/wyvern_wrath/no_ectoplasm

#Tags Player
tag @s add kazzxv.wp6_raycaster
execute if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] run tag @s add kazzxv.wp6_user

scoreboard players set @s kazzxv.use_wp3 0

#Attack
scoreboard players set wp6_distance kazzxv.raycast 0
execute if entity @s[gamemode=!creative] run execute if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] run scoreboard players set @s kazzxv.cooldown3 8
execute if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] anchored eyes positioned ^ ^ ^ run function kazzmon.extravanilla:weapons/wyvern_wrath/ray

#Sound Effects for Attack
execute if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] run playsound minecraft:entity.dragon_fireball.explode master @a ~ ~ ~ 3 1.5
execute if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] run playsound minecraft:entity.firework_rocket.blast master @a ~ ~ ~ 1 0.7
execute if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] run playsound minecraft:entity.firework_rocket.launch master @a ~ ~ ~ 3 0.8
execute if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] run playsound minecraft:entity.firework_rocket.launch master @a ~ ~ ~ 3 1
execute if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] run playsound minecraft:block.amethyst_block.break master @a ~ ~ ~ 3 0.5
execute if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] run playsound minecraft:block.respawn_anchor.deplete master @a ~ ~ ~ 3 1.3

#Use up Ectoplasm and kill Spectral Arrow in Air
execute as @s[gamemode=!creative] if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] run clear @s minecraft:honey_bottle{ectoplasm:1b} 1
execute if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] as @e[type=minecraft:spectral_arrow, sort=nearest, nbt=!{inGround:1b},limit=1] run kill @s

#If Enchanted w/ Multishot
  #Additional Beam 1
execute if entity @s[nbt={SelectedItem:{id:"minecraft:crossbow",tag:{wyvernwrath:1b,Enchantments:[{id:"minecraft:multishot",lvl:1s}]}}},nbt={Inventory:[{id:"minecraft:honey_bottle",tag:{ectoplasm:1b}}]}] run scoreboard players set wp6_distance kazzxv.raycast 0
execute if entity @s[nbt={SelectedItem:{id:"minecraft:crossbow",tag:{wyvernwrath:1b,Enchantments:[{id:"minecraft:multishot",lvl:1s}]}}},nbt={Inventory:[{id:"minecraft:honey_bottle",tag:{ectoplasm:1b}}]}] run execute if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] anchored eyes positioned ^ ^ ^ rotated ~15.0 ~ run function kazzmon.extravanilla:weapons/wyvern_wrath/ray

  #Use up more Ectoplasm and Kill additional Spectral Arrows in Air for Additional Beam 1
execute if entity @s[nbt={SelectedItem:{id:"minecraft:crossbow",tag:{wyvernwrath:1b,Enchantments:[{id:"minecraft:multishot",lvl:1s}]}}},nbt={Inventory:[{id:"minecraft:honey_bottle",tag:{ectoplasm:1b}}]}] run execute as @s[gamemode=!creative] if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] run clear @s minecraft:honey_bottle{ectoplasm:1b} 1
execute if entity @s[nbt={SelectedItem:{id:"minecraft:crossbow",tag:{wyvernwrath:1b,Enchantments:[{id:"minecraft:multishot",lvl:1s}]}}},nbt={Inventory:[{id:"minecraft:honey_bottle",tag:{ectoplasm:1b}}]}] run execute if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] as @e[type=minecraft:spectral_arrow, sort=nearest, nbt=!{inGround:1b},limit=1] run kill @s

  #Additional Beam 2
execute if entity @s[nbt={SelectedItem:{id:"minecraft:crossbow",tag:{wyvernwrath:1b,Enchantments:[{id:"minecraft:multishot",lvl:1s}]}}},nbt={Inventory:[{id:"minecraft:honey_bottle",tag:{ectoplasm:1b}}]}] run scoreboard players set wp6_distance kazzxv.raycast 0
execute if entity @s[nbt={SelectedItem:{id:"minecraft:crossbow",tag:{wyvernwrath:1b,Enchantments:[{id:"minecraft:multishot",lvl:1s}]}}},nbt={Inventory:[{id:"minecraft:honey_bottle",tag:{ectoplasm:1b}}]}] run execute if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] anchored eyes positioned ^ ^ ^ rotated ~-15.0 ~ run function kazzmon.extravanilla:weapons/wyvern_wrath/ray

  #Use up more Ectoplasm and Kill additional Spectral Arrows in Air for Additional Beam 2
execute if entity @s[nbt={SelectedItem:{id:"minecraft:crossbow",tag:{wyvernwrath:1b,Enchantments:[{id:"minecraft:multishot",lvl:1s}]}}},nbt={Inventory:[{id:"minecraft:honey_bottle",tag:{ectoplasm:1b}}]}] run execute as @s[gamemode=!creative] if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] run clear @s minecraft:honey_bottle{ectoplasm:1b} 1
execute if entity @s[nbt={SelectedItem:{id:"minecraft:crossbow",tag:{wyvernwrath:1b,Enchantments:[{id:"minecraft:multishot",lvl:1s}]}}},nbt={Inventory:[{id:"minecraft:honey_bottle",tag:{ectoplasm:1b}}]}] run execute if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] as @e[type=minecraft:spectral_arrow, sort=nearest, nbt=!{inGround:1b},limit=1] run kill @s

tag @s remove kazzxv.wp6_raycaster